Show / Hide Table of Contents

# Class ParameterSymbolExtensions

##### Inheritance

System.Object
ParameterSymbolExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: FFXIVClientStructs.InteropSourceGenerators.Extensions

###### Assembly: FFXIVClientStructs.InteropSourceGenerators.dll

##### Syntax

    public static class ParameterSymbolExtensions

### Methods

| Improve this Doc View Source

#### GetDefaultValueString(IParameterSymbol)

##### Declaration

    public static Option<string> GetDefaultValueString(this IParameterSymbol symbol)

##### Parameters

Type | Name | Description
--- | --- | ---
Microsoft.CodeAnalysis.IParameterSymbol | symbol |

##### Returns

Type | Description
--- | ---
LanguageExt.Option<System.String> |